Skip to main content
GET
/
invitation-lists
Get All Invitation Lists
curl --request GET \
  --url https://api.swoogo.com/api/v1/invitation-lists \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": 34,
      "name": "test list update",
      "notes": "random notes",
      "module": "main",
      "reg_type_id": null,
      "package_id": null,
      "cfs_role_id": null,
      "created_at": "2025-10-06 20:49:50",
      "updated_at": "2025-10-06 21:10:41"
    }
  ],
  "_links": {
    "self": {
      "href": "https://local.swoogo.com/api/v1/invitation-lists.json?event_id=4261&fields=id%2Cname&search=&page=1&sort="
    },
    "first": {
      "href": "https://local.swoogo.com/api/v1/invitation-lists.json?event_id=4261&fields=id%2Cname&search=&page=1&sort="
    },
    "last": {
      "href": "https://local.swoogo.com/api/v1/invitation-lists.json?event_id=4261&fields=id%2Cname&search=&page=1&sort="
    }
  },
  "_meta": {
    "totalCount": 10,
    "pageCount": 1,
    "currentPage": 1,
    "perPage": 20
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return (e.g., 'id,name,notes')

Example:

"id,name"

string - optional - Filter conditions to narrow the results. Valid operators are =, !=, >=, <=, >, <, contains, beginswith, endswith

Example:

"id>123"

page
string

integer - optional - The page of results you want to view

Example:

"1"

per-page
string

integer - optional - The number of results per page (to a max of 1000)

Example:

"20"

sort
string

string - optional - Sort the results (add - in front for opposite sort direction, e.g. "-id")

Example:

null

event_id
integer

integer - optional - Filter invitation lists by event ID

Example:

4261

Response

Collection

items
object[]
_meta
object